## chntpw 140201

=== Makefile ===
--- 
+++ 
@@ -22,15 +22,17 @@
 
 
 # This is to link with whatever we have, SSL crypto lib we put in static
-LIBS=-L$(OSSLLIB) $(OSSLLIB)/libcrypto.a
+#LIBS=-L$(OSSLLIB) $(OSSLLIB)/libcrypto.a
+LIBS=-L$(OSSLLIB)
 
-all: chntpw chntpw.static cpnt reged reged.static
 
-chntpw: chntpw.o ntreg.o edlib.o
-	$(CC) $(CFLAGS) -o chntpw chntpw.o ntreg.o edlib.o $(LIBS)
+all: chntpw chntpw.static cpnt reged reged.static samusrgrp samusrgrp.static sampasswd sampasswd.static
 
-chntpw.static: chntpw.o ntreg.o edlib.o
-	$(CC) -static $(CFLAGS) -o chntpw.static chntpw.o ntreg.o edlib.o $(LIBS)
+chntpw: chntpw.o ntreg.o edlib.o libsam.o
+	$(CC) $(CFLAGS) -o chntpw chntpw.o ntreg.o edlib.o libsam.o $(LIBS)
+
+chntpw.static: chntpw.o ntreg.o edlib.o libsam.o
+	$(CC) -static $(CFLAGS) -o chntpw.static chntpw.o ntreg.o edlib.o libsam.o $(LIBS)
 
 cpnt: cpnt.o
 	$(CC) $(CFLAGS) -o cpnt cpnt.o $(LIBS)
@@ -40,6 +42,19 @@
 
 reged.static: reged.o ntreg.o edlib.o
 	$(CC) -static $(CFLAGS) -o reged.static reged.o ntreg.o edlib.o
+
+samusrgrp.static: samusrgrp.o ntreg.o libsam.o
+	$(CC) -static $(CFLAGS) -o samusrgrp.static samusrgrp.o ntreg.o libsam.o 
+
+samusrgrp: samusrgrp.o ntreg.o libsam.o
+	$(CC) $(CFLAGS) -o samusrgrp samusrgrp.o ntreg.o libsam.o 
+
+sampasswd: sampasswd.o ntreg.o libsam.o
+	$(CC) $(CFLAGS) -o sampasswd sampasswd.o ntreg.o libsam.o 
+
+sampasswd.static: sampasswd.o ntreg.o libsam.o
+	$(CC) -static $(CFLAGS) -o sampasswd.static sampasswd.o ntreg.o libsam.o 
+
 
 
 #ts: ts.o ntreg.o
@@ -51,5 +66,5 @@
 	$(CC) -c $(CFLAGS) $<
 
 clean:
-	rm -f *.o chntpw chntpw.static cpnt reged reged.static *~
+	rm -f *.o chntpw chntpw.static cpnt reged reged.static samusrgrp samusrgrp.static sampasswd sampasswd.static *~
