=== debian/control ===
Source: chntpw
Section: admin
Priority: optional
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: debhelper-compat (= 13), libgcrypt20-dev | libgcrypt-dev, sharutils, quilt, dpkg-dev ( >= 1.16.1~)
Standards-Version: 4.5.1
Homepage: http://pogostick.net/~pnh/ntpasswd/
Vcs-Git: https://salsa.debian.org/debian/chntpw.git
Vcs-Browser: https://salsa.debian.org/debian/chntpw

Package: chntpw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NT SAM password recovery utility
 This little program provides a way to view information and
 change user passwords in a Windows NT/2000 user database file.
 Old passwords need not be known since they are overwritten.
 In addition it also contains a simple registry editor 
 (same size data writes) and an hex-editor which enables you to
 fiddle around with bits and bytes in the file as you wish.
 .
 If you want GNU/Linux bootdisks for offline password recovery
 you can add this utility to custom image disks or use those provided
 at the tools homepage.
