=== debian/watch ===
version=4
http://pogostick.net/~pnh/ntpasswd/editor.html \
 chntpw-source-(.*)\.zip debian uupdate
